"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactIntl = require("react-intl");

var _axios = _interopRequireDefault(require("./axios"));

var _YetkiKontrol = require("./YetkiKontrol");

var _Dropzone = _interopRequireDefault(require("./Dropzone"));

var _reactToastify = require("react-toastify");

require("react-toastify/dist/ReactToastify.css");

var _Close = _interopRequireDefault(require("@material-ui/icons/Close"));

var _core = require("@material-ui/core");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogContent = _interopRequireDefault(require("@material-ui/core/DialogContent"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Delete = _interopRequireDefault(require("@material-ui/icons/Delete"));

var _CheckCircle = _interopRequireDefault(require("@material-ui/icons/CheckCircle"));

var _Error = _interopRequireDefault(require("@material-ui/icons/Error"));

var _Cancel = _interopRequireDefault(require("@material-ui/icons/Cancel"));

var _Replay = _interopRequireDefault(require("@material-ui/icons/Replay"));

var _Publish = _interopRequireDefault(require("@material-ui/icons/Publish"));

var _FolderOpenOutlined = _interopRequireDefault(require("@material-ui/icons/FolderOpenOutlined"));

var _inlineScan = _interopRequireDefault(require("inline-scan"));

var _muiDatatables = _interopRequireDefault(require("mui-datatables"));

var _Language = require("./Language");

var _sweetalert = _interopRequireDefault(require("sweetalert2"));

var _reactBlockUi = _interopRequireDefault(require("react-block-ui"));

require("react-block-ui/style.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function uuidv4() {
  return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function (c) {
    var r = Math.random() * 16 | 0,
        v = c == "x" ? r : r & 0x3 | 0x8;
    return v.toString(16);
  });
}

var CustomizedFileUpload = /*#__PURE__*/function (_React$Component) {
  _inherits(CustomizedFileUpload, _React$Component);

  var _super = _createSuper(CustomizedFileUpload);

  function CustomizedFileUpload(props) {
    var _this;

    _classCallCheck(this, CustomizedFileUpload);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "addProperty", function (fieldName, fieldValue) {
      return {
        fieldName: fieldName,
        fieldValue: fieldValue.toString()
      };
    });

    _defineProperty(_assertThisInitialized(_this), "getFilesFromServer", function () {
      var getUrl = "";

      if (_this.kvkkGoruntulemeYetkili) {
        getUrl = process.env.REACT_APP_FILE_SERVICE_HOST + "/api/v1/filehandler/";
      } else {
        getUrl = process.env.REACT_APP_FILE_SERVICE_HOST + "/api/v1/filehandler/GetModelListRestricted/";
      }

      _axios["default"].get(getUrl + _this.props.fieldName + "/" + _this.props.fieldValue).then(function (res) {
        var files = [];
        var copy = {};
        res.data.forEach(function (item) {
          files.push({
            data: {
              data: null,
              name: item.fileName,
              id: item.fileId,
              documentType: item.documentType,
              documentPath: item.path !== undefined && typeof item.path !== "undefined" && item.path !== null && item.path !== "" ? "/download" + item.path : ""
            },
            status: "loaded"
          });
          copy[item.fileName] = {
            state: "done",
            percentage: 100
          };
        });

        _this.setState({
          files: files
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onFilesAdded", function (files) {
      var newFiles = [];
      files.forEach(function (file) {
        var filename = file.data.name;
        var notAllowed = ".exe";

        if (filename.toLowerCase().includes(notAllowed.toLowerCase())) {
          _reactToastify.toast.error(_this.strings["INSERT_FAILED_NOT_ALLOWED"]);

          return;
        }

        if (_this.state.files.find(function (x) {
          return x.data.name == filename;
        }) === undefined) {
          newFiles.push({
            data: {
              data: file.data,
              name: filename,
              id: 0,
              documentType: typeof file.data.documentType === "undefined" ? _this.state.documentTypes[0]["type"] : file.data.documentType
            },
            status: "unLoaded"
          });
        } else {
          _reactToastify.toast.error(_this.strings["INSERT_FAILED_FILENAME_MATCHED"]);
        }
      });

      _this.setState(function (prevState) {
        return {
          files: prevState.files.concat(newFiles)
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "sendRequest", function (file) {
      var formData = new FormData();
      formData.append("file", file.data.data, file.data.name);

      _this.props.fileInfo.map(function (_fileInfo) {
        _fileInfo["fieldName"] += "";
        _fileInfo["fieldValue"] += "";
        return _fileInfo;
      });

      formData.append("fileinfo", JSON.stringify(_this.props.fileInfo));
      formData.append("username", localStorage.getItem("user_name"));
      formData.append("userid", localStorage.getItem("user_id"));
      formData.append("documenttype", file.data.documentType);

      _this.setState(function (prevState) {
        return {
          blocking: true
        };
      });

      _axios["default"].post(process.env.REACT_APP_FILE_SERVICE_HOST + "/dosyaerisim/upload", formData).then(function (res) {
        var index = _this.state.files.findIndex(function (f) {
          return f.data.name == file.data.name;
        });

        var newFiles = _toConsumableArray(_this.state.files);

        newFiles[index].status = "loaded";
        newFiles[index].data.id = res.data.fileId;

        _this.getFilesFromServer(); // this.setState({
        // 	files: newFiles,
        // });

      })["catch"](function (err) {
        var index = _this.state.files.findIndex(function (f) {
          return f.data.name == file.data.name;
        });

        var newFiles = _toConsumableArray(_this.state.files);

        newFiles[index].status = "error";
        newFiles[index].data.documentType = file.data.documentType;

        _this.setState({
          files: newFiles
        });

        _reactToastify.toast.error(_this.strings["INSERT_FAILED"]);
      })["finally"](function () {
        _this.setState(function (prevState) {
          return {
            blocking: false
          };
        });
      });

      return {
        success: true
      };
    });

    _defineProperty(_assertThisInitialized(_this), "sendDeleteRequest", function (file) {
      if (_this.docSilmeYetkili) {
        _this.setState(function (prevState) {
          return {
            blocking: true
          };
        });

        _axios["default"].post("/dosyaerisim/delete_by?uid=" + file.id).then(function () {
          _this.getFilesFromServer();
        })["catch"](function () {
          _reactToastify.toast.error(_this.strings["RECORD_NOT_FOUND"]);
        })["finally"](function () {
          _this.setState(function (prevState) {
            return {
              blocking: false
            };
          });
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onDeleteButtonClick", function (event, file) {
      var swalId = "#" + _this.customizedFileUploadId;
      var _file = file;

      _sweetalert["default"].fire({
        title: _this.strings["SIL_BASLIK"],
        text: _this.strings["SILMEONAYMESAJ"],
        icon: "warning",
        target: swalId,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: _this.strings["ONAYLA"],
        cancelButtonText: _this.strings["VAZGEC"]
      }).then(function (result) {
        if (result.value) {
          _this.sendDeleteRequest(_file.data);
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onCancelButtonClick", function (file) {
      var index = _this.state.files.findIndex(function (f) {
        return f.data.name == file.data.name;
      });

      var newFiles = _toConsumableArray(_this.state.files);

      newFiles.splice(index, 1);
      delete newFiles[file.name];

      _this.setState({
        files: newFiles
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleSelectChange", function (event, file) {
      var index = _this.state.files.findIndex(function (f) {
        return f.data.name == file.data.name;
      });

      var newFiles = _toConsumableArray(_this.state.files);

      newFiles[index].data.documentType = event.target.value;

      _this.setState({
        files: newFiles
      });
    });

    _defineProperty(_assertThisInitialized(_this), "renderFileRowFileName", function (fileName, documentPath) {
      var html = "";

      if (documentPath === undefined || documentPath === null || typeof documentPath === "undefined" || documentPath === "") {
        html = /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
          title: _this.strings["DOWNLOAD_YOK"]
        }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
          variant: "link",
          className: "text-left",
          style: {
            color: "black"
          },
          disabled: true
        }, fileName));
      } else {
        html = /*#__PURE__*/_react["default"].createElement(_Button["default"], {
          variant: "link",
          className: "text-left",
          onClick: function onClick() {
            return _this.getFile(documentPath, fileName);
          }
        }, fileName);
      }

      return html;
    });

    _defineProperty(_assertThisInitialized(_this), "renderFileRowFileActions", function (file) {
      return /*#__PURE__*/_react["default"].createElement(_reactBlockUi["default"], {
        blocking: _this.state.blocking
      }, file && file.status === "unLoaded" && !_this.unwritable && /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
        title: _this.strings["YUKLE"]
      }, /*#__PURE__*/_react["default"].createElement(_IconButton["default"], {
        "aria-label": "Upload",
        onClick: function onClick() {
          return _this.sendRequest(file);
        }
      }, /*#__PURE__*/_react["default"].createElement(_Publish["default"], null))), /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
        title: _this.strings["KALDIR"]
      }, /*#__PURE__*/_react["default"].createElement(_IconButton["default"], {
        "aria-label": "Cancel",
        onClick: function onClick() {
          return _this.onCancelButtonClick(file);
        }
      }, /*#__PURE__*/_react["default"].createElement(_Cancel["default"], null)))), file && file.status === "loaded" && /*#__PURE__*/_react["default"].createElement(_CheckCircle["default"], null), file && file.status == "loaded" && !_this.unwritable && _this.docSilmeYetkili && /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
        title: _this.strings["SIL"]
      }, /*#__PURE__*/_react["default"].createElement(_IconButton["default"], {
        "aria-label": "Delete",
        onClick: function onClick() {
          return _this.onDeleteButtonClick(event, file);
        }
      }, /*#__PURE__*/_react["default"].createElement(_Delete["default"], null))), file && file.status === "error" && !_this.unwritable && /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
        title: _this.strings["TEKRAR_GONDER"]
      }, /*#__PURE__*/_react["default"].createElement(_IconButton["default"], {
        "aria-label": "ReSend",
        onClick: function onClick() {
          return _this.sendRequest(file);
        }
      }, /*#__PURE__*/_react["default"].createElement(_Replay["default"], null))), file && file.status === "error" && /*#__PURE__*/_react["default"].createElement(_Error["default"], null), file && file.status == "error" && !_this.unwritable && /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
        title: _this.strings["KALDIR"]
      }, /*#__PURE__*/_react["default"].createElement(_IconButton["default"], {
        "aria-label": "Cancel",
        onClick: function onClick() {
          return _this.onCancelButtonClick(file);
        }
      }, /*#__PURE__*/_react["default"].createElement(_Cancel["default"], null))));
    });

    _defineProperty(_assertThisInitialized(_this), "renderFileRowFileType", function (file) {
      var textFieldStyle = {
        width: 200,
        marginTop: "1%"
      };
      var val = file.data.documentType;

      if (typeof file.data.documentType === "undefined") {
        val = _this.state.documentTypes[0]["type"];
      }

      return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_core.TextField, {
        select: file && file.status === "unLoaded",
        size: "small",
        margin: "normal",
        name: "documentType",
        value: val,
        onChange: function onChange(event) {
          return _this.handleSelectChange(event, file);
        },
        style: textFieldStyle,
        InputProps: {
          readOnly: file.status === "loaded"
        }
      }, _this.state.documentTypes.length > 0 && Array.isArray(_this.state.documentTypes) ? _this.state.documentTypes.map(function (fileType) {
        return /*#__PURE__*/_react["default"].createElement(_core.MenuItem, {
          value: fileType["type"]
        }, fileType["type"]);
      }) : /*#__PURE__*/_react["default"].createElement(_core.MenuItem, {
        val: 0
      }, _this.strings["HATA"])));
    });

    _defineProperty(_assertThisInitialized(_this), "getFile", function (documentPath, fileName) {
      (0, _axios["default"])({
        url: process.env.REACT_APP_FILE_SERVICE_HOST + "/dosyaerisim" + documentPath,
        method: "GET",
        responseType: "blob" // important

      }).then(function (response) {
        var url = window.URL.createObjectURL(new Blob([response.data]));
        var link = document.createElement("a");
        link.href = url;
        link.setAttribute("download", fileName);
        document.body.appendChild(link);
        link.click();
      })["catch"](function (er) {
        _this.strings["RECORD_NOT_FOUND"];
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleDialogClose", function () {
      //
      var existUnloadedFile = false;

      _this.state.files.forEach(function (f) {
        if (f.status === "unLoaded" || f.status === "error") {
          existUnloadedFile = true;
        }
      });

      if (existUnloadedFile) {
        _reactToastify.toast.error(_this.strings["UNLOADED_FILE_EXIST"]);
      } else {
        _this.setState({
          popoverWillOpen: false
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handleDialogClickOpen", function () {
      if (_this.state.documentTypes.length < 1 || !Array.isArray(_this.state.documentTypes)) {
        _reactToastify.toast.error(_this.strings["DOCTYPES_SERVICE_ERROR"]);
      } else {
        _this.setState({
          popoverWillOpen: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handleScan", function (obj) {
      var scanCounter = _this.state.scanCount + 1;
      var scanName = "Tarama ";

      if (scanCounter < 10) {
        scanName += "0";
      }

      scanName += scanCounter;
      scanName += ".jpg";

      _this.setState({
        scanCount: scanCounter
      });

      var file = {
        data: {
          data: obj,
          name: scanName,
          id: 0,
          documentType: ""
        },
        status: "unLoaded"
      };
      var index = _this.state.files.length;

      var newFiles = _toConsumableArray(_this.state.files);

      newFiles[index] = file;

      _this.setState({
        files: newFiles
      });
    });

    _this.state = {
      documentTypes: [],
      files: [],
      uploading: false,
      successfullUploaded: false,
      scanCount: 0,
      popoverWillOpen: false,
      anchorEl: null,
      blocking: false
    };
    _this.customizedFileUploadId = "customizedFileUpload" + uuidv4();
    _this.locale = props.locale ? props.locale : "tr";
    _this.strings = (0, _Language.GetLocales)(_this.locale);

    if (!props.fieldName || !props.fieldValue || !props.fileInfo) {
      console.log("Warning: FileUpload component says 'ERROR_PROPS_NOT_EXIST'");
    } //#region strings & local
    //#endregion


    _this.fileInfoArray = props.fileInfo;
    _this.fieldName = props.fieldName;
    _this.fieldValue = props.fieldValue;
    _this.fileInfo = typeof props.fileInfo === "undefined" ? {
      fieldName: _fieldName,
      fieldValue: _fieldName
    } : props.fileInfo;
    _this.unwritable = false;

    if (typeof props.unwritable !== "undefined") {
      _this.unwritable = props.unwritable;
    }

    _this.docGoruntelemeYetkili = !!(0, _YetkiKontrol.YetkiKontrol)("dosya#görüntüleme");
    _this.kvkkGoruntulemeYetkili = !!(0, _YetkiKontrol.YetkiKontrol)("dosya#kvkk_görüntüleme");
    _this.docSilmeYetkili = !!(0, _YetkiKontrol.YetkiKontrol)("dosya#silme");
    _this.dialogProps = {
      fullWidth: props.fullWidth !== false,
      maxWidth: props.maxWidth ? props.maxWidth : "md",
      height: "450px",
      padding: "0 0",
      buttonVariant: props.buttonVariant ? props.buttonVariant : "contained",
      buttonColor: props.buttonColor ? props.buttonColor : "primary",
      btnUniqueName: props.btnUniqueName ? props.btnUniqueName : props.fieldName,
      buttonText: props.buttonText ? props.buttonText : _this.strings["BUTTON_TEXT"],
      closeButtonText: props.closeButtonText ? props.closeButtonText : _this.strings["CLOSE_BUTTON_TEXT"],
      dialogTitle: props.dialogTitle ? props.dialogTitle : "",
      locale: _this.locale
    };
    _this.properties = [];
    return _this;
  }

  _createClass(CustomizedFileUpload, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      _axios["default"].get(process.env.REACT_APP_FILE_SERVICE_HOST + "/api/v1/filehandler/GetDocTypes").then(function (res) {
        _this2.setState({
          documentTypes: res.data
        });
      })["catch"](function (err) {});

      this.fileInfoArray.forEach(function (f) {
        return _this2.properties.push(_this2.addProperty(f["fieldName"], f["fieldValue"]));
      });
      this.getFilesFromServer();
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var dialogTitleHtml = "";

      if (this.dialogProps.dialogTitle) {
        dialogTitleHtml = /*#__PURE__*/_react["default"].createElement(_DialogTitle["default"], null, this.dialogProps.dialogTitle);
      }

      var buttonHtml = "";

      if (this.dialogProps.buttonText) {
        //
        buttonHtml = /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
          title: this.strings["OPEN_BUTTON_TOOLTIP"]
        }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
          name: "btn" + this.dialogProps.btnUniqueName + "OpenDialog",
          variant: this.dialogProps.buttonVariant,
          color: this.dialogProps.buttonColor,
          onClick: this.handleDialogClickOpen,
          className: "float-right"
        }, /*#__PURE__*/_react["default"].createElement(_FolderOpenOutlined["default"], null)));
      }

      var closeButtonHtml = "";

      if (this.dialogProps.closeButtonText) {
        closeButtonHtml = /*#__PURE__*/_react["default"].createElement(_Button["default"], {
          name: "btn" + this.dialogProps.btnUniqueName + "Kapat",
          onClick: this.handleDialogClose,
          color: this.dialogProps.buttonColor
        }, this.dialogProps.closeButtonText);
      }

      var muiDataTableColumns = [{
        name: this.strings["FILE_UPLOAD.LABEL.DOSYA_ADI"],
        options: {
          display: true,
          customHeadRender: function customHeadRender(_ref) {
            var index = _ref.index,
                column = _objectWithoutProperties(_ref, ["index"]);

            return /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
              style: {
                width: "45%",
                cursor: "default"
              },
              key: index,
              align: "center"
            }, "     " + column.name);
          }
        }
      }, {
        name: this.strings["FILE_UPLOAD.LABEL.DOKUMENT_TIPI"],
        options: {
          display: true,
          customHeadRender: function customHeadRender(_ref2) {
            var index = _ref2.index,
                column = _objectWithoutProperties(_ref2, ["index"]);

            return /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
              style: {
                width: "35%",
                cursor: "default"
              },
              key: index,
              align: "center"
            }, column.name);
          }
        }
      }, {
        name: "     ",
        options: {
          display: true,
          filter: false,
          customHeadRender: function customHeadRender(_ref3) {
            var index = _ref3.index,
                column = _objectWithoutProperties(_ref3, ["index"]);

            return /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
              style: {
                width: "20%",
                cursor: "default"
              },
              key: index
            }, column.name);
          }
        }
      }, {
        name: "file",
        options: {
          display: false,
          filter: false
        }
      }];
      var muiDataTableData = [];
      this.state.files.forEach(function (file) {
        var fileData = [file.data.name, file.documentType, file, file.data.documentPath];
        muiDataTableData.push(fileData);
      });
      var optionsDataTable = {
        selectableRows: false,
        pagination: false,
        stickyHeader: true,
        filter: false,
        // print: false,
        // search: false,
        viewColumns: false,
        download: false,
        textLabels: {
          body: {
            noMatch: this.strings["MUI_TABLE_NO_MATCH"],
            toolTip: this.strings["FILE_UPLOAD.TOOL_TIP.SORT"],
            columnHeaderTooltip: function columnHeaderTooltip(column) {
              return "".concat(column.label, " ") + _this3.strings["FILE_UPLOAD.TOOL_TIP.SORT"];
            }
          },
          toolbar: {
            search: this.strings["FILE_UPLOAD.TOOL_TIP.SEARCH"],
            downloadCsv: this.strings["DOWNLOAD"] + " CSV",
            print: this.strings["PRINT"],
            viewColumns: this.strings["FILE_UPLOAD.TOOL_TIP.SHOW_COLUMNS"],
            filterTable: this.strings["FILE_UPLOAD.TOOL_TIP.FILTER_TABLE"]
          },
          filter: {
            all: this.strings["ALL"],
            title: this.strings["FILTERS"],
            reset: this.strings["RESET"]
          },
          viewColumns: {
            title: this.strings["FILE_UPLOAD.TOOL_TIP.SHOW_COLUMNS"],
            titleAria: this.strings["FILE_UPLOAD.TOOL_TIP.SHOW_HIDE_COLUMNS"]
          }
        },
        customRowRender: function customRowRender(fileData, dataIndex, rowIndex) {
          var t1_style = {};
          var t2_style = {};
          var t3_style = {};

          if (fileData[3] === undefined || fileData[3] === null || fileData[3] === "") {
            t1_style = {
              cursor: "default",
              color: "black",
              width: "45%"
            };
            t2_style = {
              cursor: "default",
              color: "black",
              width: "30%"
            };
            t3_style = {
              cursor: "default",
              color: "black",
              width: "25%"
            };
          } else {
            t1_style = {
              cursor: "default",
              "text-decoration": "underline",
              width: "45%"
            };
            t2_style = {
              cursor: "default",
              width: "30%"
            };
            t3_style = {
              cursor: "default",
              width: "25%"
            };
          }

          return /*#__PURE__*/_react["default"].createElement(_core.TableRow, {
            key: rowIndex + "_" + dataIndex
          }, /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
            style: t1_style
          }, _this3.renderFileRowFileName(fileData[0], fileData[3])), /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
            style: t2_style
          }, _this3.renderFileRowFileType(fileData[2])), /*#__PURE__*/_react["default"].createElement(_core.TableCell, {
            style: t3_style,
            align: "right"
          }, _this3.renderFileRowFileActions(fileData[2])));
        },
        customToolbar: function customToolbar() {
          return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_inlineScan["default"], {
            outerFunction: _this3.handleScan,
            icon: true,
            locale: _this3.locale
          }));
        }
      };
      var uploadStyle = {
        display: "flex",
        "flex-direction": "column",
        flex: "1",
        "align-items": "flex-start",
        "text-align": "left",
        overflow: "hidden"
      };
      var contentStyle = {
        display: "flex",
        "flex-direction": "row",
        "padding-top": "12px",
        "box-sizing": "border-box",
        width: "100%"
      };
      var dropzoneContainerStyle = {
        "padding-top": "2%"
      };
      var filesStyle = {
        "align-items": "flex-start",
        "justify-items": "flex-start",
        flex: "1",
        "overflow-y": "auto"
      };

      var dropzone_html = /*#__PURE__*/_react["default"].createElement("div", {
        style: dropzoneContainerStyle
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "container"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "row"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "col justify-content-center"
      }, /*#__PURE__*/_react["default"].createElement(_Dropzone["default"], {
        onFilesAdded: this.onFilesAdded,
        disabled: this.state.uploading,
        locale: this.locale
      })))));

      if (this.unwritable) {
        dropzone_html = "";
      }

      return this.docGoruntelemeYetkili ? /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
        className: "align-right"
      }, buttonHtml), /*#__PURE__*/_react["default"].createElement(_Dialog["default"], {
        id: this.customizedFileUploadId,
        fullWidth: this.dialogProps.fullWidth,
        maxWidth: this.dialogProps.maxWidth,
        open: this.state.popoverWillOpen,
        onClose: this.handleDialogClose,
        "aria-labelledby": "form-dialog-title",
        style: {
          height: "70vh"
        }
      }, dialogTitleHtml, /*#__PURE__*/_react["default"].createElement(_DialogContent["default"], null, /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
        style: uploadStyle
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: contentStyle
      }, dropzone_html, /*#__PURE__*/_react["default"].createElement("div", {
        style: filesStyle
      }, /*#__PURE__*/_react["default"].createElement(_muiDatatables["default"], {
        title: "Dosyalar",
        data: muiDataTableData,
        columns: muiDataTableColumns,
        options: optionsDataTable
      })))))), /*#__PURE__*/_react["default"].createElement(_DialogActions["default"], null, " ", closeButtonHtml, " "))) : /*#__PURE__*/_react["default"].createElement(_react.Fragment, null);
    }
  }]);

  return CustomizedFileUpload;
}(_react["default"].Component);

var _default = (0, _reactIntl.injectIntl)(CustomizedFileUpload);

exports["default"] = _default;